/**
 * Copyright (c) 2008 by The Shoe Shine Boy.
 * 
 * This file is part of JMS SMTP Bridge.
 * 
 * JMS SMTP Bridge is free software: you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or (at your 
 * option) any later version.
 *
 * JMS SMTP Bridge is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with JMS SMTP Bridge. If not, see <http://www.gnu.org/licenses/>.
 */
package com.gt.jmsmtpbridge.transform;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.EJBObject;
import javax.jms.Message;

/**
 * The Jms2SmtpTransformer EJBObject
 * 
 * @author The Shoe Shine Boy
 *
 */
public interface Jms2SmtpTransformer extends EJBObject {
	public final static String MAIL_TO = "MAIL.TO";
	public final static String MAIL_CC = "MAIL.CC";
	public final static String MAIL_BCC = "MAIL.BCC";
	public final static String MAIL_SUBJECT = "MAIL.SUBJECT";
	public final static String MAIL_BODY = "MAIL.BODY";
	public final static String MAIL_SENDASHTML = "MAIL.SENDASHTML";
	
	public Hashtable<String, Object> transform(Message msg) throws RemoteException;
}
